Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeContact

All Superinterfaces:
  IAttachmentSupport, IContact, IExchangeItem, IGroupwareItem, IItem, IMessagingItem, IPerson, java.io.Serializable

public interface IExchangeContact
extends IContact, IExchangeItem

Represents a contact in the Exchange system. The item class is `item.contact.exchange`.

This is an example of how to create a contact, set properties and save it

Sample code:

    /**
     * The <code>createContact</code> method demonstrates how to create an
     * contact with either the MAPI or the WebDAV Exchange providers. The
     * contact has several properties set and is then saved.
     *
     * @throws  CollaborationException  if the session factory could not instantiate
     *          a session with the given parameters, or if there was an error
     *          retrieving folders, setting properties, or saving the contact.
     */
    public  void    createContact
    (
    )
    throws  CollaborationException
        {
        // setup the session
        Properties p = new Properties ();
        p.setProperty (IExchangeSession.PROP_PROVIDER, IWebdavSession.INTERNAL_NAME);
        p.setProperty (IExchangeSession.PROP_EXCHANGE_SERVER, "server");
        p.setProperty (IExchangeSession.PROP_USER_DOMAIN, "domain");
        p.setProperty (IExchangeSession.PROP_USER_USERNAME, "username");
        p.setProperty (IExchangeSession.PROP_USER_PASSWORD, "password");

        // create and open the session
        IExchangeSession session = (IExchangeSession)SessionFactory.createSession(p);
        session.open();
        session.login ();

        IRootContainer root = session.getDefaultRootContainer ();

        // Get a handle to the calendar folder
        IExchangeContactsContainer  contacts = null;
        contacts = (IExchangeContactsContainer)session.getDefaultContainer(
            DefaultContainerClassEnum.CONTACTS );

        // add a new contact to the folder, but do not commit it yet
        // the item will be of the type IExchangeContact.CLASS
        // it is possible to use other types, such as IContact.CLASS,
        // however it is always best to use the most specific type when possible
        IExchangeContact contact = null;
        contact = (IExchangeContact)contacts.add( IExchangeContact.CLASS, false );

        // set the name
        contact.setFirstName( "Jon" );
        contact.setLastName( "Smith" );

        // set the contact description
        // the HTML body could also be set with HTML instead
        contact.setBody( "Compoze Software Test Contact" );

        // set the birthday
        Calendar cal = Calendar.getInstance();
        cal.set( 1980, 7, 28 );
        contact.setBirthday( cal.getTime() );

        // set anniversary
        cal.set( 1980, 6, 18 );
        contact.setWeddingAnniversary( cal.getTime() );

        // set name prefix
        contact.setNamePrefix( "Dr." );

        // setup email addresses
        contact.setEmail1Address( "jon.smith@null.net" );
        contact.setEmail1AddressDisplayName( "J. Smith" );

        // set file as
        contact.setFileAs( "Smith, J." );

        // set the work address
        PostalAddress address = new PostalAddress(
            "123 Main Street", "Wayne", "PA", "USA", "19087" );
        contact.setBusinessAddress( address );

        // set gender
        contact.setGender( GenderEnum.MALE );

        // save changes
        contact.commit();

        // logout and close
        session.logout ();
        session.close();
        }

Field Summary
`static Key` | `ACCOUNT` Key that represents the account for a contact.
`static Key` | `ADDRESS_TYPE` Key that represents the address type for a contact.
`static Key` | `ASSISTANT_TELEPHONE_NUMBER` Key that represents the assistant telephone number for a contact.
`static Key` | `BILLING_INFO` Key that represents the billing info for a contact.
`static Key` | `BUSINESS2_TELEPHONE_NUMBER` Key that represents the 2nd business telephone number for a contact.
`static Key` | `CALLBACK_TELEPHONE_NUMBER` Key that represents the callback telephone number for a contact.
`static Key` | `CAR_TELEPHONE_NUMBER` Key that represents the car phone number for a contact.
`static Key` | `CITY` Key that represents the city for a contact.
`static ItemClass` | `CLASS` The item class of `IExchangeContact`.
`static Key` | `COMPANY_MAIN_TELEPHONE_NUMBER` Key that represents the company main telephone number for a contact.
`static Key` | `COMPUTER_NETWORK_NAME` Key that represents the computer network name for a contact.
`static Key` | `COUNTRY` Key that represents the country for a contact.
`static Key` | `EMAIL1_ADDRESS` Key that represents the primary email address for a contact.
`static Key` | `EMAIL1_ADDRESS_TYPE` Key that represents the primary email type for a contact.
`static Key` | `EMAIL1_DISPLAY_NAME` Key that represents the primary email display for a contact.
`static Key` | `EMAIL2_ADDRESS` Key that represents the secondary email address for a contact.
`static Key` | `EMAIL2_ADDRESS_TYPE` Key that represents the secondary email type for a contact.
`static Key` | `EMAIL2_DISPLAY_NAME` Key that represents the secondary email display for a contact.
`static Key` | `EMAIL3_ADDRESS` Key that represents the tertiary email address for a contact.
`static Key` | `EMAIL3_ADDRESS_TYPE` Key that represents the tertiary email type for a contact.
`static Key` | `EMAIL3_DISPLAY_NAME` Key that represents the tertiary email display for a contact.
`static Key` | `FILE_AS` Key that represents the 'file as' for a contact.
`static Key` | `FTP_SITE` Key that represents the ftp site for a contact.
`static Key` | `GENDER` Key that represents the gender for a contact.
`static Key` | `HOBBIES` Key that represents the hobbies for a contact.
`static Key` | `HOME2_TELEPHONE_NUMBER` Key that represents the home2 phone number for a contact.
`static Key` | `IM_ADDRESS` Key that represents the instant messenger address for a contact.
`static Key` | `INITIALS` Key that represents the initials for a contact.
`static Key` | `INTERNET_FREE_BUSY_ADDRESS` Key that represents the internet free/busy address for a contact.
`static Key` | `ISDN_NUMBER` Key that represents the ISDN number for a contact.
`static int` | `KEYID_ACCOUNT` The `int` ID for the `ACCOUNT` key.
`static int` | `KEYID_ADDRESS_TYPE` The `int` ID for the `ADDRESS_TYPE` key.
`static int` | `KEYID_ASSISTANT_TELEPHONE_NUMBER` The `int` ID for the `ASSISTANT_TELEPHONE_NUMBER` key.
`static int` | `KEYID_BILLING_INFO` The `int` ID for the `BILLING_INFO` key.
`static int` | `KEYID_BUSINESS2_TELEPHONE_NUMBER` The `int` ID for the `BUSINESS2_TELEPHONE_NUMBER` key.
`static int` | `KEYID_CALLBACK_TELEPHONE_NUMBER` The `int` ID for the `CALLBACK_TELEPHONE_NUMBER` key.
`static int` | `KEYID_CAR_TELEPHONE_NUMBER` The `int` ID for the `CAR_TELEPHONE_NUMBER` key.
`static int` | `KEYID_CITY` The `int` ID for the `CITY` key.
`static int` | `KEYID_COMPANY_MAIN_TELEPHONE_NUMBER` The `int` ID for the `COMPANY_MAIN_TELEPHONE_NUMBER` key.
`static int` | `KEYID_COMPUTER_NETWORK_NAME` The `int` ID for the `COMPUTER_NETWORK_NAME` key.
`static int` | `KEYID_COUNTRY` The `int` ID for the `COUNTRY` key.
`static int` | `KEYID_EMAIL1_ADDRESS` The `int` ID for the `EMAIL1_ADDRESS` key.
`static int` | `KEYID_EMAIL1_ADDRESS_TYPE` The `int` ID for the `EMAIL1_ADDRESS_TYPE` key.
`static int` | `KEYID_EMAIL1_DISPLAY_NAME` The `int` ID for the `EMAIL1_DISPLAY_NAME` key.
`static int` | `KEYID_EMAIL2_ADDRESS` The `int` ID for the `EMAIL2_ADDRESS` key.
`static int` | `KEYID_EMAIL2_ADDRESS_TYPE` The `int` ID for the `EMAIL2_ADDRESS_TYPE` key.
`static int` | `KEYID_EMAIL2_DISPLAY_NAME` The `int` ID for the `EMAIL2_DISPLAY_NAME` key.
`static int` | `KEYID_EMAIL3_ADDRESS` The `int` ID for the `EMAIL3_ADDRESS` key.
`static int` | `KEYID_EMAIL3_ADDRESS_TYPE` The `int` ID for the `EMAIL3_ADDRESS_TYPE` key.
`static int` | `KEYID_EMAIL3_DISPLAY_NAME` The `int` ID for the `EMAIL3_DISPLAY_NAME` key.
`static int` | `KEYID_FILE_AS` The `int` ID for the `FILE_AS` key.
`static int` | `KEYID_FTP_SITE` The `int` ID for the `FTP_SITE` key.
`static int` | `KEYID_GENDER` The `int` ID for the `GENDER` key.
`static int` | `KEYID_HOBBIES` The `int` ID for the `HOBBIES` key.
`static int` | `KEYID_HOME2_TELEPHONE_NUMBER` The `int` ID for the `HOME2_TELEPHONE_NUMBER` key.
`static int` | `KEYID_IM_ADDRESS` The `int` ID for the `IM_ADDRESS` key.
`static int` | `KEYID_INITIALS` The `int` ID for the `INITIALS` key.
`static int` | `KEYID_INTERNET_FREE_BUSY_ADDRESS` The `int` ID for the `INTERNET_FREE_BUSY_ADDRESS` key.
`static int` | `KEYID_ISDN_NUMBER` The `int` ID for the `ISDN_NUMBER` key.
`static int` | `KEYID_LANGUAGE` The `int` ID for the `LANGUAGE` key.
`static int` | `KEYID_LOCATION` The `int` ID for the `LOCATION` key.
`static int` | `KEYID_NICKNAME` The `int` ID for the `NICKNAME` key.
`static int` | `KEYID_OTHER_ADDRESS` The `int` ID for the `OTHER_ADDRESS` key.
`static int` | `KEYID_OTHER_ADDRESS_CITY` The `int` ID for the `OTHER_ADDRESS_CITY` key.
`static int` | `KEYID_OTHER_ADDRESS_COUNTRY` The `int` ID for the `OTHER_ADDRESS_COUNTRY` key.
`static int` | `KEYID_OTHER_ADDRESS_POSTAL_CODE` The `int` ID for the `OTHER_ADDRESS_POSTAL_CODE` key.
`static int` | `KEYID_OTHER_ADDRESS_STATE` The `int` ID for the `OTHER_ADDRESS_STATE` key.
`static int` | `KEYID_OTHER_ADDRESS_STREET` The `int` ID for the `OTHER_ADDRESS_STREET` key.
`static int` | `KEYID_OTHER_TELEPHONE_NUMBER` The `int` ID for the `OTHER_TELEPHONE_NUMBER` key.
`static int` | `KEYID_PERSONAL_ADDRESS` The `int` ID for the `PERSONAL_ADDRESS` key.
`static int` | `KEYID_PERSONAL_HOME_PAGE` The `int` ID for the `PERSONAL_HOME_PAGE` key.
`static int` | `KEYID_POSTAL_CODE` The `int` ID for the `POSTAL_CODE` key.
`static int` | `KEYID_PRIMARY_FAX_NUMBER` The `int` ID for the `PRIMARY_FAX_NUMBER` key.
`static int` | `KEYID_PRIMARY_TELEPHONE_NUMBER` The `int` ID for the `PRIMARY_TELEPHONE_NUMBER` key.
`static int` | `KEYID_PROFESSION` The `int` ID for the `PROFESSION` key.
`static int` | `KEYID_RADIO_TELEPHONE_NUMBER` The `int` ID for the `RADIO_TELEPHONE_NUMBER` key.
`static int` | `KEYID_REFERRED_BY_NAME` The `int` ID for the `REFERRED_BY_NAME` key.
`static int` | `KEYID_SELECTED_MAILING_ADDRESS` The `int` ID for the `SELECTED_MAILING_ADDRESS` key.
`static int` | `KEYID_STATE_OR_PROVINCE` The `int` ID for the `STATE_OR_PROVINCE` key.
`static int` | `KEYID_STREET_ADDRESS` The `int` ID for the `STREET_ADDRESS` key.
`static int` | `KEYID_TELEX_NUMBER` The `int` ID for the `TELEX_NUMBER` key.
`static int` | `KEYID_TTYTDD_PHONE_NUMBER` The `int` ID for the `TTYTDD_PHONE_NUMBER` key.
`static int` | `KEYID_USER_FIELD1` The `int` ID for the `USER_FIELD1` key.
`static int` | `KEYID_USER_FIELD2` The `int` ID for the `USER_FIELD2` key.
`static int` | `KEYID_USER_FIELD3` The `int` ID for the `USER_FIELD3` key.
`static int` | `KEYID_USER_FIELD4` The `int` ID for the `USER_FIELD4` key.
`static int` | `KEYID_WEDDING_ANNIVERSARY` The `int` ID for the `WEDDING_ANNIVERSARY` key.
`static Key` | `LANGUAGE` Key that represents the language for a contact.
`static Key` | `LOCATION` Key that represents the location for a contact.
`static Key` | `NICKNAME` Key that represents the nickname for a contact.
`static Key` | `OTHER_ADDRESS` Key that represents the other address for a contact.
`static Key` | `OTHER_ADDRESS_CITY` Key that represents the other city for a contact.
`static Key` | `OTHER_ADDRESS_COUNTRY` Key that represents the other country for a contact.
`static Key` | `OTHER_ADDRESS_POSTAL_CODE` Key that represents the other postal code for a contact.
`static Key` | `OTHER_ADDRESS_STATE` Key that represents the other state for a contact.
`static Key` | `OTHER_ADDRESS_STREET` Key that represents the other street for a contact.
`static Key` | `OTHER_TELEPHONE_NUMBER` Key that represents the other telephone number for a contact.
`static Key` | `PERSONAL_ADDRESS` Key that represents the personal address for a contact.
`static Key` | `PERSONAL_HOME_PAGE` Key that represents the personal home page (url) for a contact.
`static Key` | `POSTAL_CODE` Key that represents the mailing address postal code for a contact.
`static Key` | `PRIMARY_FAX_NUMBER` Key that represents the primary fax number for a contact.
`static Key` | `PRIMARY_TELEPHONE_NUMBER` Key that represents the primary telephone number for a contact.
`static Key` | `PROFESSION` Key that represents the profession for a contact.
`static Key` | `RADIO_TELEPHONE_NUMBER` Key that represents the radio telephone number for a contact.
`static Key` | `REFERRED_BY_NAME` Key that represents the referred by name for a contact.
`static Key` | `SELECTED_MAILING_ADDRESS` Key that represents the selected mailing address for a contact.
`static Key` | `STATE_OR_PROVINCE` Key that represents the state or province for a contact.
`static Key` | `STREET_ADDRESS` Key that represents the street address for a contact.
`static Key` | `TELEX_NUMBER` Key that represents the telex number for a contact.
`static Key` | `TTYTDD_PHONE_NUMBER` Key that represents the telex number for a contact.
`static Key` | `USER_FIELD1` Key that represents the first user defined field for a contact.
`static Key` | `USER_FIELD2` Key that represents the second user defined field for a contact.
`static Key` | `USER_FIELD3` Key that represents the third user defined field for a contact.
`static Key` | `USER_FIELD4` Key that represents the fourth user defined field for a contact.
`static Key` | `WEDDING_ANNIVERSARY` Key that represents the wedding anniversary for a contact.

Fields inherited from interface com.compoze.collab.groupware.IContact
`BIRTHDAY, CHILDREN, KEYID_BIRTHDAY, KEYID_CHILDREN, KEYID_SPOUSE_NAME, SPOUSE_NAME`

Fields inherited from interface com.compoze.collab.groupware.IPerson
`ASSISTANT, BUSINESS_ADDRESS_CITY, BUSINESS_ADDRESS_COUNTRY, BUSINESS_ADDRESS_POSTAL_CODE, BUSINESS_ADDRESS_STATE, BUSINESS_ADDRESS_STREET, BUSINESS_FAX, BUSINESS_PAGER, BUSINESS_PHONE, COMPANY_NAME, DEPARTMENT_NAME, DISPLAY_NAME, FIRST_NAME, JOB_TITLE, KEYID_ASSISTANT, KEYID_BUSINESS_ADDRESS_CITY, KEYID_BUSINESS_ADDRESS_COUNTRY, KEYID_BUSINESS_ADDRESS_POSTAL_CODE, KEYID_BUSINESS_ADDRESS_STATE, KEYID_BUSINESS_ADDRESS_STREET, KEYID_BUSINESS_FAX, KEYID_BUSINESS_PAGER, KEYID_BUSINESS_PHONE, KEYID_COMPANY_NAME, KEYID_DEPARTMENT_NAME, KEYID_DISPLAY_NAME, KEYID_FIRST_NAME, KEYID_JOB_TITLE, KEYID_LAST_NAME, KEYID_MANAGER_NAME, KEYID_MIDDLE_NAME, KEYID_NAME_PREFIX, KEYID_NAME_SUFFIX, KEYID_OFFICE_LOCATION, KEYID_PERSONAL_ADDRESS_CITY, KEYID_PERSONAL_ADDRESS_COUNTRY, KEYID_PERSONAL_ADDRESS_POSTAL_CODE, KEYID_PERSONAL_ADDRESS_STATE, KEYID_PERSONAL_ADDRESS_STREET, KEYID_PERSONAL_FAX, KEYID_PERSONAL_MOBILE_PHONE, KEYID_PERSONAL_PHONE, KEYID_SMTP_ADDRESS, KEYID_WEB_PAGE, LAST_NAME, MANAGER_NAME, MIDDLE_NAME, NAME_PREFIX, NAME_SUFFIX, OFFICE_LOCATION, PERSONAL_ADDRESS_CITY, PERSONAL_ADDRESS_COUNTRY, PERSONAL_ADDRESS_POSTAL_CODE, PERSONAL_ADDRESS_STATE, PERSONAL_ADDRESS_STREET, PERSONAL_FAX, PERSONAL_MOBILE_PHONE, PERSONAL_PHONE, SMTP_ADDRESS, WEB_PAGE`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.exchange.IExchangeItem
`BODY_RTF, CONTACT_NAMES, CREATOR_ENTRYID, FLAG, FLAG_REMIND_BY, FLAG_TEXT, HAS_REMINDER, HIDE_ATTACHMENTS, ICON_INDEX, IS_HIDDEN, KEYID_BODY_RTF, KEYID_CONTACT_NAMES, KEYID_CREATOR_ENTRYID, KEYID_FLAG, KEYID_FLAG_REMIND_BY, KEYID_FLAG_TEXT, KEYID_HAS_REMINDER, KEYID_HIDE_ATTACHMENTS, KEYID_ICON_INDEX, KEYID_IS_HIDDEN, KEYID_MILEAGE, KEYID_NORMALIZED_SUBJECT, KEYID_PRIORITY, KEYID_SENSITIVITY, KEYID_SUBJECT_PREFIX, MILEAGE, NORMALIZED_SUBJECT, PRIORITY, SENSITIVITY, SUBJECT_PREFIX`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`java.lang.String` | `getAccount()` Gets the account name.
`java.lang.String` | `getAddressType()` Gets the address type.
`PhoneNumber` | `getAssistantPhoneNumber()` Gets the assistant phone number.
`java.lang.String` | `getBillingInfo()` Gets the billing info.
`PhoneNumber` | `getBusiness2PhoneNumber()` Gets the 2nd business phone number.
`PhoneNumber` | `getCallbackPhoneNumber()` Gets the callback phone number.
`PhoneNumber` | `getCarTelephoneNumber()` Gets the car telephone number.
`java.lang.String` | `getCity()` Gets the city portion of the defined "mailing address" for a contact.
`PhoneNumber` | `getCompanyMainPhoneNumber()` Gets the company main phone number.
`java.lang.String` | `getComputerNetworkName()` Gets the computer network name.
`java.lang.String` | `getCountry()` Gets the country portion of the defined "mailing address" for a contact.
`java.lang.String` | `getEmail1Address()` Gets the primary email address.
`java.lang.String` | `getEmail1AddressDisplayName()` Gets the primary email address display name.
`java.lang.String` | `getEmail1AddressType()` Gets the primary email address type.
`java.lang.String` | `getEmail2Address()` Gets the secondary email address.
`java.lang.String` | `getEmail2AddressDisplayName()` Gets the secondary email address display name.
`java.lang.String` | `getEmail2AddressType()` Gets the secondary email address type.
`java.lang.String` | `getEmail3Address()` Gets the tertiary email address.
`java.lang.String` | `getEmail3AddressDisplayName()` Gets the tertiary email address display name.
`java.lang.String` | `getEmail3AddressType()` Gets the tertiary email address type.
`java.lang.String` | `getFileAs()` Gets the 'file as'.
`java.lang.String` | `getFreeBusyAddress()` Gets the internet free/busy address.
`java.lang.String` | `getFtpSite()` Gets the ftp site.
`Gender` | `getGender()` Gets the gender.
`java.lang.String` | `getHobbies()` Gets the hobbies.
`PhoneNumber` | `getHome2TelephoneNumber()` Gets the secondary home phone number.
`java.lang.String` | `getImAddress()` Gets the instant messenger address.
`java.lang.String` | `getIntitials()` Gets the initials.
`java.lang.String` | `getISDNNumber()` Gets the ISDN number.
`java.lang.String` | `getLanguage()` Gets the language.
`java.lang.String` | `getLocation()` Gets the location.
`java.lang.String` | `getNickname()` Gets the nickname.
`PostalAddress` | `getOtherAddress()` Gets the other address.
`java.lang.String` | `getOtherAddressString()` Gets the other address.
`PhoneNumber` | `getOtherTelephoneNumber()` Gets the other telephone number.
`java.lang.String` | `getPersonalAddressString()` Gets the personal address.
`java.lang.String` | `getPersonalHomePage()` Gets the personal home page.
`java.lang.String` | `getPostalCode()` Gets the postal code portion of the defined "mailing address" for a contact.
`PhoneNumber` | `getPrimaryFaxNumber()` Gets the primary fax number.
`PhoneNumber` | `getPrimaryTelephoneNumber()` Gets the primary telephone number.
`java.lang.String` | `getProfession()` Gets the profession.
`PhoneNumber` | `getRadioPhoneNumber()` Gets the radio phone number.
`java.lang.String` | `getReferredByName()` Gets the referred by name.
`SelectedMailingAddress` | `getSelectedMailingAddress()` Gets the selected mailing address.
`java.lang.String` | `getStateOrProvince()` Gets the state or province portion of the defined "mailing address" for a contact.
`java.lang.String` | `getStreetAddress()` Gets the street address portion of the defined "mailing address" for a contact.
`PhoneNumber` | `getTelexNumber()` Gets the telex number.
`java.lang.String` | `getTTYTDDPhoneNumber()` Gets the TTYTDD phone number.
`java.lang.String` | `getUserField1()` Gets the user field 1.
`java.lang.String` | `getUserField2()` Gets the user field 2.
`java.lang.String` | `getUserField3()` Gets the user field 3.
`java.lang.String` | `getUserField4()` Gets the user field 4.
`java.util.Date` | `getWeddingAnniversary()` Gets the wedding anniversary date.
`void` | `setAccount(java.lang.String sAccount)` Sets the account name.
`void` | `setAddressType(java.lang.String sAddressType)` Sets the address type.
`void` | `setAssistantPhoneNumber(PhoneNumber number)` Sets the assistant phone number.
`void` | `setBillingInfo(java.lang.String sBillingInfo)` Sets the billing info.
`void` | `setBusiness2PhoneNumber(PhoneNumber number)` Sets the 2nd business phone number.
`void` | `setCallbackPhoneNumber(PhoneNumber number)` Sets the callback phone number.
`void` | `setCarTelephoneNumber(PhoneNumber number)` Sets the car telephone number.
`void` | `setCompanyMainPhoneNumber(PhoneNumber number)` Sets the company main phone number.
`void` | `setComputerNetworkName(java.lang.String sNetworkName)` Sets the computer network name.
`void` | `setEmail1Address(java.lang.String sAddress)` Sets the primary email address.
`void` | `setEmail1AddressDisplayName(java.lang.String sDisplayName)` Sets the primary email address display name.
`void` | `setEmail1AddressType(java.lang.String sType)` Sets the primary email address type.
`void` | `setEmail2Address(java.lang.String sAddress)` Sets the secondary email address.
`void` | `setEmail2AddressDisplayName(java.lang.String sDisplayName)` Sets the secondary email address display name.
`void` | `setEmail2AddressType(java.lang.String sType)` Sets the secondary email address type.
`void` | `setEmail3Address(java.lang.String sAddress)` Sets the tertiary email address.
`void` | `setEmail3AddressDisplayName(java.lang.String sDisplayName)` Sets the tertiary email address display name.
`void` | `setEmail3AddressType(java.lang.String sType)` Sets the tertiary email address type.
`void` | `setFileAs(java.lang.String sFileAs)` Sets the 'file as'.
`void` | `setFreeBusyAddress(java.lang.String sFreeBusyAddress)` Sets the internet free/busy address.
`void` | `setFtpSite(java.lang.String sFtpSite)` Sets the ftp site.
`void` | `setGender(Gender gender)` Sets the gender.
`void` | `setHobbies(java.lang.String sHobbies)` Sets the hobbies.
`void` | `setHome2TelephoneNumber(PhoneNumber number)` Sets the secondary home phone number.
`void` | `setImAddress(java.lang.String sImAddress)` Sets the instant messenger address.
`void` | `setIntitials(java.lang.String sInitials)` Sets the initials.
`void` | `setISDNNumber(java.lang.String sISDNNumber)` Sets the ISDN number.
`void` | `setLanguage(java.lang.String sLanguage)` Sets the language.
`void` | `setLocation(java.lang.String sLocation)` Sets the location.
`void` | `setNickname(java.lang.String sNickname)` Sets the nickname.
`void` | `setOtherAddress(PostalAddress address)` Sets the other address.
`void` | `setOtherTelephoneNumber(PhoneNumber number)` Sets the other telephone number.
`void` | `setPersonalHomePage(java.lang.String sHomePage)` Sets the personal home page.
`void` | `setPrimaryFaxNumber(PhoneNumber number)` Sets the primary fax number.
`void` | `setPrimaryTelephoneNumber(PhoneNumber number)` Sets the primary telephone number.
`void` | `setProfession(java.lang.String sProfession)` Sets the profession.
`void` | `setRadioPhoneNumber(PhoneNumber number)` Sets the radio phone number.
`void` | `setReferredByName(java.lang.String sReferredByName)` Sets the referred by name.
`void` | `setSelectedMailingAddress(SelectedMailingAddress selected)` Sets the selected mailing address.
`void` | `setTelexNumber(PhoneNumber telexNumber)` Sets the telex number.
`void` | `setTTYTDDPhoneNumber(java.lang.String sNumber)` Sets the TTYTDD phone number.
`void` | `setUserField1(java.lang.String sValue)` Sets the user field 1.
`void` | `setUserField2(java.lang.String sValue)` Sets the user field 2.
`void` | `setUserField3(java.lang.String sValue)` Sets the user field 3.
`void` | `setUserField4(java.lang.String sValue)` Sets the user field 4.
`void` | `setWeddingAnniversary(java.util.Date anniversary)` Sets the wedding anniversary date.

Methods inherited from interface com.compoze.collab.groupware.IContact
`getBirthday, getChildren, getSpouse, setBirthday, setChildren, setSpouse`

Methods inherited from interface com.compoze.collab.groupware.IPerson
`getAssistant, getBusinessAddress, getBusinessFax, getBusinessPager, getBusinessPhone, getCompanyName, getDepartmentName, getDisplayName, getFirstName, getHomeFax, getHomePhone, getJobTitle, getLastName, getManagerName, getMiddleName, getNamePrefix, getNameSuffix, getOfficeLocation, getPersonalAddress, getPersonalMobilePhone, getSmtpAddress, getWebPage, setAssistant, setBusinessAddress, setBusinessFax, setBusinessPager, setBusinessPhone, setCompanyName, setDepartmentName, setDisplayName, setFirstName, setHomeFax, setHomePhone, setJobTitle, setLastName, setManagerName, setMiddleName, setName, setNamePrefix, setNameSuffix, setOfficeLocation, setPersonalAddress, setPersonalMobilePhone, setSmtpAddress, setWebPage`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, setBody`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.exchange.IExchangeItem
`getBodyRtf, getContactNames, getFlagStatus, getFlagText, getHideAttachments, getMileage, getPriority, getSensitivity, getSubjectPrefix, isHidden, setBodyRtf, setContactNames, setFlagStatus, setFlagText, setHideAttachments, setMileage, setPriority, setSensitivity, setSubjectPrefix`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_ACCOUNT

    public static final int KEYID_ACCOUNT

  The `int` ID for the `ACCOUNT` key.

### KEYID_ADDRESS_TYPE

    public static final int KEYID_ADDRESS_TYPE

  The `int` ID for the `ADDRESS_TYPE` key.

### KEYID_ASSISTANT_TELEPHONE_NUMBER

    public static final int KEYID_ASSISTANT_TELEPHONE_NUMBER

  The `int` ID for the `ASSISTANT_TELEPHONE_NUMBER` key.

### KEYID_BILLING_INFO

    public static final int KEYID_BILLING_INFO

  The `int` ID for the `BILLING_INFO` key.

### KEYID_BUSINESS2_TELEPHONE_NUMBER

    public static final int KEYID_BUSINESS2_TELEPHONE_NUMBER

  The `int` ID for the `BUSINESS2_TELEPHONE_NUMBER` key.

### KEYID_CALLBACK_TELEPHONE_NUMBER

    public static final int KEYID_CALLBACK_TELEPHONE_NUMBER

  The `int` ID for the `CALLBACK_TELEPHONE_NUMBER` key.

### KEYID_OTHER_ADDRESS_STREET

    public static final int KEYID_OTHER_ADDRESS_STREET

  The `int` ID for the `OTHER_ADDRESS_STREET` key.

### KEYID_COMPANY_MAIN_TELEPHONE_NUMBER

    public static final int KEYID_COMPANY_MAIN_TELEPHONE_NUMBER

  The `int` ID for the `COMPANY_MAIN_TELEPHONE_NUMBER` key.

### KEYID_COMPUTER_NETWORK_NAME

    public static final int KEYID_COMPUTER_NETWORK_NAME

  The `int` ID for the `COMPUTER_NETWORK_NAME` key.

### KEYID_EMAIL1_ADDRESS

    public static final int KEYID_EMAIL1_ADDRESS

  The `int` ID for the `EMAIL1_ADDRESS` key.

### KEYID_EMAIL1_ADDRESS_TYPE

    public static final int KEYID_EMAIL1_ADDRESS_TYPE

  The `int` ID for the `EMAIL1_ADDRESS_TYPE` key.

### KEYID_EMAIL1_DISPLAY_NAME

    public static final int KEYID_EMAIL1_DISPLAY_NAME

  The `int` ID for the `EMAIL1_DISPLAY_NAME` key.

### KEYID_EMAIL2_ADDRESS

    public static final int KEYID_EMAIL2_ADDRESS

  The `int` ID for the `EMAIL2_ADDRESS` key.

### KEYID_EMAIL2_ADDRESS_TYPE

    public static final int KEYID_EMAIL2_ADDRESS_TYPE

  The `int` ID for the `EMAIL2_ADDRESS_TYPE` key.

### KEYID_EMAIL2_DISPLAY_NAME

    public static final int KEYID_EMAIL2_DISPLAY_NAME

  The `int` ID for the `EMAIL2_DISPLAY_NAME` key.

### KEYID_EMAIL3_ADDRESS

    public static final int KEYID_EMAIL3_ADDRESS

  The `int` ID for the `EMAIL3_ADDRESS` key.

### KEYID_EMAIL3_ADDRESS_TYPE

    public static final int KEYID_EMAIL3_ADDRESS_TYPE

  The `int` ID for the `EMAIL3_ADDRESS_TYPE` key.

### KEYID_EMAIL3_DISPLAY_NAME

    public static final int KEYID_EMAIL3_DISPLAY_NAME

  The `int` ID for the `EMAIL3_DISPLAY_NAME` key.

### KEYID_FILE_AS

    public static final int KEYID_FILE_AS

  The `int` ID for the `FILE_AS` key.

### KEYID_FTP_SITE

    public static final int KEYID_FTP_SITE

  The `int` ID for the `FTP_SITE` key.

### KEYID_GENDER

    public static final int KEYID_GENDER

  The `int` ID for the `GENDER` key.

### KEYID_WEDDING_ANNIVERSARY

    public static final int KEYID_WEDDING_ANNIVERSARY

  The `int` ID for the `WEDDING_ANNIVERSARY` key.

### KEYID_HOBBIES

    public static final int KEYID_HOBBIES

  The `int` ID for the `HOBBIES` key.

### KEYID_HOME2_TELEPHONE_NUMBER

    public static final int KEYID_HOME2_TELEPHONE_NUMBER

  The `int` ID for the `HOME2_TELEPHONE_NUMBER` key.

### KEYID_IM_ADDRESS

    public static final int KEYID_IM_ADDRESS

  The `int` ID for the `IM_ADDRESS` key.

### KEYID_INITIALS

    public static final int KEYID_INITIALS

  The `int` ID for the `INITIALS` key.

### KEYID_INTERNET_FREE_BUSY_ADDRESS

    public static final int KEYID_INTERNET_FREE_BUSY_ADDRESS

  The `int` ID for the `INTERNET_FREE_BUSY_ADDRESS` key.

### KEYID_ISDN_NUMBER

    public static final int KEYID_ISDN_NUMBER

  The `int` ID for the `ISDN_NUMBER` key.

### KEYID_LANGUAGE

    public static final int KEYID_LANGUAGE

  The `int` ID for the `LANGUAGE` key.

### KEYID_LOCATION

    public static final int KEYID_LOCATION

  The `int` ID for the `LOCATION` key.

### KEYID_OTHER_ADDRESS_POSTAL_CODE

    public static final int KEYID_OTHER_ADDRESS_POSTAL_CODE

  The `int` ID for the `OTHER_ADDRESS_POSTAL_CODE` key.

### KEYID_NICKNAME

    public static final int KEYID_NICKNAME

  The `int` ID for the `NICKNAME` key.

### KEYID_OTHER_ADDRESS

    public static final int KEYID_OTHER_ADDRESS

  The `int` ID for the `OTHER_ADDRESS` key.

### KEYID_OTHER_TELEPHONE_NUMBER

    public static final int KEYID_OTHER_TELEPHONE_NUMBER

  The `int` ID for the `OTHER_TELEPHONE_NUMBER` key.

### KEYID_PERSONAL_HOME_PAGE

    public static final int KEYID_PERSONAL_HOME_PAGE

  The `int` ID for the `PERSONAL_HOME_PAGE` key.

### KEYID_POSTAL_CODE

    public static final int KEYID_POSTAL_CODE

  The `int` ID for the `POSTAL_CODE` key.

### KEYID_PRIMARY_FAX_NUMBER

    public static final int KEYID_PRIMARY_FAX_NUMBER

  The `int` ID for the `PRIMARY_FAX_NUMBER` key.

### KEYID_PRIMARY_TELEPHONE_NUMBER

    public static final int KEYID_PRIMARY_TELEPHONE_NUMBER

  The `int` ID for the `PRIMARY_TELEPHONE_NUMBER` key.

### KEYID_PROFESSION

    public static final int KEYID_PROFESSION

  The `int` ID for the `PROFESSION` key.

### KEYID_RADIO_TELEPHONE_NUMBER

    public static final int KEYID_RADIO_TELEPHONE_NUMBER

  The `int` ID for the `RADIO_TELEPHONE_NUMBER` key.

### KEYID_REFERRED_BY_NAME

    public static final int KEYID_REFERRED_BY_NAME

  The `int` ID for the `REFERRED_BY_NAME` key.

### KEYID_SELECTED_MAILING_ADDRESS

    public static final int KEYID_SELECTED_MAILING_ADDRESS

  The `int` ID for the `SELECTED_MAILING_ADDRESS` key.

### KEYID_STATE_OR_PROVINCE

    public static final int KEYID_STATE_OR_PROVINCE

  The `int` ID for the `STATE_OR_PROVINCE` key.

### KEYID_STREET_ADDRESS

    public static final int KEYID_STREET_ADDRESS

  The `int` ID for the `STREET_ADDRESS` key.

### KEYID_TELEX_NUMBER

    public static final int KEYID_TELEX_NUMBER

  The `int` ID for the `TELEX_NUMBER` key.

### KEYID_TTYTDD_PHONE_NUMBER

    public static final int KEYID_TTYTDD_PHONE_NUMBER

  The `int` ID for the `TTYTDD_PHONE_NUMBER` key.

### KEYID_USER_FIELD1

    public static final int KEYID_USER_FIELD1

  The `int` ID for the `USER_FIELD1` key.

### KEYID_USER_FIELD2

    public static final int KEYID_USER_FIELD2

  The `int` ID for the `USER_FIELD2` key.

### KEYID_USER_FIELD3

    public static final int KEYID_USER_FIELD3

  The `int` ID for the `USER_FIELD3` key.

### KEYID_USER_FIELD4

    public static final int KEYID_USER_FIELD4

  The `int` ID for the `USER_FIELD4` key.

### KEYID_OTHER_ADDRESS_CITY

    public static final int KEYID_OTHER_ADDRESS_CITY

  The `int` ID for the `OTHER_ADDRESS_CITY` key.

### KEYID_OTHER_ADDRESS_COUNTRY

    public static final int KEYID_OTHER_ADDRESS_COUNTRY

  The `int` ID for the `OTHER_ADDRESS_COUNTRY` key.

### KEYID_OTHER_ADDRESS_STATE

    public static final int KEYID_OTHER_ADDRESS_STATE

  The `int` ID for the `OTHER_ADDRESS_STATE` key.

### KEYID_CITY

    public static final int KEYID_CITY

  The `int` ID for the `CITY` key.

### KEYID_COUNTRY

    public static final int KEYID_COUNTRY

  The `int` ID for the `COUNTRY` key.

### KEYID_PERSONAL_ADDRESS

    public static final int KEYID_PERSONAL_ADDRESS

  The `int` ID for the `PERSONAL_ADDRESS` key.

### KEYID_CAR_TELEPHONE_NUMBER

    public static final int KEYID_CAR_TELEPHONE_NUMBER

  The `int` ID for the `CAR_TELEPHONE_NUMBER` key.

### ACCOUNT

    public static final Key ACCOUNT

  Key that represents the account for a contact.

### ADDRESS_TYPE

    public static final Key ADDRESS_TYPE

  Key that represents the address type for a contact.

### ASSISTANT_TELEPHONE_NUMBER

    public static final Key ASSISTANT_TELEPHONE_NUMBER

  Key that represents the assistant telephone number for a contact.

### BILLING_INFO

    public static final Key BILLING_INFO

  Key that represents the billing info for a contact.

### BUSINESS2_TELEPHONE_NUMBER

    public static final Key BUSINESS2_TELEPHONE_NUMBER

  Key that represents the 2nd business telephone number for a contact.

### CALLBACK_TELEPHONE_NUMBER

    public static final Key CALLBACK_TELEPHONE_NUMBER

  Key that represents the callback telephone number for a contact.

### COMPANY_MAIN_TELEPHONE_NUMBER

    public static final Key COMPANY_MAIN_TELEPHONE_NUMBER

  Key that represents the company main telephone number for a contact.

### COMPUTER_NETWORK_NAME

    public static final Key COMPUTER_NETWORK_NAME

  Key that represents the computer network name for a contact.

### EMAIL1_ADDRESS

    public static final Key EMAIL1_ADDRESS

  Key that represents the primary email address for a contact.

### EMAIL1_ADDRESS_TYPE

    public static final Key EMAIL1_ADDRESS_TYPE

  Key that represents the primary email type for a contact.

### EMAIL1_DISPLAY_NAME

    public static final Key EMAIL1_DISPLAY_NAME

  Key that represents the primary email display for a contact.

### EMAIL2_ADDRESS

    public static final Key EMAIL2_ADDRESS

  Key that represents the secondary email address for a contact.

### EMAIL2_ADDRESS_TYPE

    public static final Key EMAIL2_ADDRESS_TYPE

  Key that represents the secondary email type for a contact.

### EMAIL2_DISPLAY_NAME

    public static final Key EMAIL2_DISPLAY_NAME

  Key that represents the secondary email display for a contact.

### EMAIL3_ADDRESS

    public static final Key EMAIL3_ADDRESS

  Key that represents the tertiary email address for a contact.

### EMAIL3_ADDRESS_TYPE

    public static final Key EMAIL3_ADDRESS_TYPE

  Key that represents the tertiary email type for a contact.

### EMAIL3_DISPLAY_NAME

    public static final Key EMAIL3_DISPLAY_NAME

  Key that represents the tertiary email display for a contact.

### FILE_AS

    public static final Key FILE_AS

  Key that represents the 'file as' for a contact.

### FTP_SITE

    public static final Key FTP_SITE

  Key that represents the ftp site for a contact.

### GENDER

    public static final Key GENDER

  Key that represents the gender for a contact.

### HOBBIES

    public static final Key HOBBIES

  Key that represents the hobbies for a contact.

### HOME2_TELEPHONE_NUMBER

    public static final Key HOME2_TELEPHONE_NUMBER

  Key that represents the home2 phone number for a contact.

### IM_ADDRESS

    public static final Key IM_ADDRESS

  Key that represents the instant messenger address for a contact.

### INITIALS

    public static final Key INITIALS

  Key that represents the initials for a contact.

### INTERNET_FREE_BUSY_ADDRESS

    public static final Key INTERNET_FREE_BUSY_ADDRESS

  Key that represents the internet free/busy address for a contact.

### ISDN_NUMBER

    public static final Key ISDN_NUMBER

  Key that represents the ISDN number for a contact.

### LANGUAGE

    public static final Key LANGUAGE

  Key that represents the language for a contact.

### LOCATION

    public static final Key LOCATION

  Key that represents the location for a contact.

### NICKNAME

    public static final Key NICKNAME

  Key that represents the nickname for a contact.

### OTHER_ADDRESS_CITY

    public static final Key OTHER_ADDRESS_CITY

  Key that represents the other city for a contact.

### OTHER_ADDRESS_COUNTRY

    public static final Key OTHER_ADDRESS_COUNTRY

  Key that represents the other country for a contact.

### OTHER_ADDRESS_STATE

    public static final Key OTHER_ADDRESS_STATE

  Key that represents the other state for a contact.

### OTHER_ADDRESS_STREET

    public static final Key OTHER_ADDRESS_STREET

  Key that represents the other street for a contact.

### OTHER_ADDRESS_POSTAL_CODE

    public static final Key OTHER_ADDRESS_POSTAL_CODE

  Key that represents the other postal code for a contact.

### OTHER_ADDRESS

    public static final Key OTHER_ADDRESS

  Key that represents the other address for a contact. This key is read-only.

### PERSONAL_ADDRESS

    public static final Key PERSONAL_ADDRESS

  Key that represents the personal address for a contact. This key is read-only.

### OTHER_TELEPHONE_NUMBER

    public static final Key OTHER_TELEPHONE_NUMBER

  Key that represents the other telephone number for a contact.

### PERSONAL_HOME_PAGE

    public static final Key PERSONAL_HOME_PAGE

  Key that represents the personal home page (url) for a contact.

### POSTAL_CODE

    public static final Key POSTAL_CODE

  Key that represents the mailing address postal code for a contact. The mailing address postal code is the postal code belonging to either the "business", "personal", or "other" addresses of contact that has been designated as the "mailing address". This key is read-only.

### PRIMARY_FAX_NUMBER

    public static final Key PRIMARY_FAX_NUMBER

  Key that represents the primary fax number for a contact.

### PRIMARY_TELEPHONE_NUMBER

    public static final Key PRIMARY_TELEPHONE_NUMBER

  Key that represents the primary telephone number for a contact.

### PROFESSION

    public static final Key PROFESSION

  Key that represents the profession for a contact.

### RADIO_TELEPHONE_NUMBER

    public static final Key RADIO_TELEPHONE_NUMBER

  Key that represents the radio telephone number for a contact.

### REFERRED_BY_NAME

    public static final Key REFERRED_BY_NAME

  Key that represents the referred by name for a contact.

### SELECTED_MAILING_ADDRESS

    public static final Key SELECTED_MAILING_ADDRESS

  Key that represents the selected mailing address for a contact.

### STATE_OR_PROVINCE

    public static final Key STATE_OR_PROVINCE

  Key that represents the state or province for a contact. The mailing address state or province is the state or province belonging to either the "business", "personal", or "other" addresses of contact that has been designated as the "mailing address". This key is read-only.

### COUNTRY

    public static final Key COUNTRY

  Key that represents the country for a contact. The mailing address country is the country belonging to either the "business", "personal", or "other" addresses of contact that has been designated as the "mailing address". This key is read-only.

### CITY

    public static final Key CITY

  Key that represents the city for a contact. The mailing address city is the city belonging to either the "business", "personal", or "other" addresses of contact that has been designated as the "mailing address". This key is read-only.

### STREET_ADDRESS

    public static final Key STREET_ADDRESS

  Key that represents the street address for a contact. The mailing address street is the street belonging to either the "business", "personal", or "other" addresses of contact that has been designated as the "mailing address". This key is read-only.

### TELEX_NUMBER

    public static final Key TELEX_NUMBER

  Key that represents the telex number for a contact.

### TTYTDD_PHONE_NUMBER

    public static final Key TTYTDD_PHONE_NUMBER

  Key that represents the telex number for a contact.

### USER_FIELD1

    public static final Key USER_FIELD1

  Key that represents the first user defined field for a contact.

### USER_FIELD2

    public static final Key USER_FIELD2

  Key that represents the second user defined field for a contact.

### USER_FIELD3

    public static final Key USER_FIELD3

  Key that represents the third user defined field for a contact.

### USER_FIELD4

    public static final Key USER_FIELD4

  Key that represents the fourth user defined field for a contact.

### WEDDING_ANNIVERSARY

    public static final Key WEDDING_ANNIVERSARY

  Key that represents the wedding anniversary for a contact.

### CAR_TELEPHONE_NUMBER

    public static final Key CAR_TELEPHONE_NUMBER

  Key that represents the car phone number for a contact.

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeContact`.

Method Detail

### setAccount

    public void setAccount(java.lang.String sAccount)
                    throws CollaborationException

  Sets the account name.
  Parameters:
    `sAccount` -
  Throws:
    `CollaborationException` - if the account name could not be set

### getAccount

    public java.lang.String getAccount()
                                throws CollaborationException

  Gets the account name.
  Returns:
    the account name
  Throws:
    `CollaborationException` - if there was an error getting the account name
  See Also:
    `setAccount(String)`

### setAddressType

    public void setAddressType(java.lang.String sAddressType)
                        throws CollaborationException

  Sets the address type.
  Parameters:
    `sAddressType` -
  Throws:
    `CollaborationException` - if the address type could not be set

### getAddressType

    public java.lang.String getAddressType()
                                    throws CollaborationException

  Gets the address type.
  Returns:
    the address type
  Throws:
    `CollaborationException` - if there was an error getting the address type
  See Also:
    `setAddressType(String)`

### setAssistantPhoneNumber

    public void setAssistantPhoneNumber(PhoneNumber number)
                                 throws CollaborationException

  Sets the assistant phone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the assistant phone number could not be set

### getAssistantPhoneNumber

    public PhoneNumber getAssistantPhoneNumber()
                                        throws CollaborationException

  Gets the assistant phone number.
  Returns:
    the assistant phone number
  Throws:
    `CollaborationException` - if there was an error getting the assistant phone number
  See Also:
    `setAssistantPhoneNumber(PhoneNumber)`

### setBillingInfo

    public void setBillingInfo(java.lang.String sBillingInfo)
                        throws CollaborationException

  Sets the billing info.
  Parameters:
    `sBillingInfo` -
  Throws:
    `CollaborationException` - if the billing info could not be set

### getBillingInfo

    public java.lang.String getBillingInfo()
                                    throws CollaborationException

  Gets the billing info.
  Returns:
    the billing info
  Throws:
    `CollaborationException` - if there was an error getting the billing info
  See Also:
    `setBillingInfo(String)`

### setBusiness2PhoneNumber

    public void setBusiness2PhoneNumber(PhoneNumber number)
                                 throws CollaborationException

  Sets the 2nd business phone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the 2nd business phone number could not be set

### getBusiness2PhoneNumber

    public PhoneNumber getBusiness2PhoneNumber()
                                        throws CollaborationException

  Gets the 2nd business phone number.
  Returns:
    the 2nd business phone number
  Throws:
    `CollaborationException` - if there was an error getting the 2nd business phone number
  See Also:
    `setBusiness2PhoneNumber(PhoneNumber)`

### setCallbackPhoneNumber

    public void setCallbackPhoneNumber(PhoneNumber number)
                                throws CollaborationException

  Sets the callback phone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the callback phone number could not be set

### getCallbackPhoneNumber

    public PhoneNumber getCallbackPhoneNumber()
                                       throws CollaborationException

  Gets the callback phone number.
  Returns:
    the callback phone number
  Throws:
    `CollaborationException` - if there was an error getting the callback phone number
  See Also:
    `setCallbackPhoneNumber(PhoneNumber)`

### setCompanyMainPhoneNumber

    public void setCompanyMainPhoneNumber(PhoneNumber number)
                                   throws CollaborationException

  Sets the company main phone number.
  Parameters:
    `number` - the company main phone number
  Throws:
    `CollaborationException` - if the company main phone number could not be set

### getCompanyMainPhoneNumber

    public PhoneNumber getCompanyMainPhoneNumber()
                                          throws CollaborationException

  Gets the company main phone number.
  Returns:
    the company main phone number
  Throws:
    `CollaborationException` - if there was an error getting the company main phone number
  See Also:
    `setCompanyMainPhoneNumber(PhoneNumber)`

### setComputerNetworkName

    public void setComputerNetworkName(java.lang.String sNetworkName)
                                throws CollaborationException

  Sets the computer network name.
  Parameters:
    `sNetworkName` -
  Throws:
    `CollaborationException` - if the computer network name could not be set

### getComputerNetworkName

    public java.lang.String getComputerNetworkName()
                                            throws CollaborationException

  Gets the computer network name.
  Returns:
    the computer network name
  Throws:
    `CollaborationException` - if there was an error getting the computer network name
  See Also:
    `setComputerNetworkName(String)`

### setEmail1Address

    public void setEmail1Address(java.lang.String sAddress)
                          throws CollaborationException

  Sets the primary email address.
  Parameters:
    `sAddress` -
  Throws:
    `CollaborationException` - if the primary email address could not be set

### getEmail1Address

    public java.lang.String getEmail1Address()
                                      throws CollaborationException

  Gets the primary email address.
  Returns:
    the primary email address
  Throws:
    `CollaborationException` - if there was an error getting the primary email address
  See Also:
    `setEmail1Address(String)`

### setEmail1AddressType

    public void setEmail1AddressType(java.lang.String sType)
                              throws CollaborationException

  Sets the primary email address type.
  Parameters:
    `sType` -
  Throws:
    `CollaborationException` - if the primary email address type could not be set

### getEmail1AddressType

    public java.lang.String getEmail1AddressType()
                                          throws CollaborationException

  Gets the primary email address type.
  Returns:
    the primary email address type
  Throws:
    `CollaborationException` - if there was an error getting the primary email address type
  See Also:
    `setEmail1AddressType(String)`

### setEmail1AddressDisplayName

    public void setEmail1AddressDisplayName(java.lang.String sDisplayName)
                                     throws CollaborationException

  Sets the primary email address display name.
  Parameters:
    `sDisplayName` -
  Throws:
    `CollaborationException` - if the primary email address display name could not be set

### getEmail1AddressDisplayName

    public java.lang.String getEmail1AddressDisplayName()
                                                 throws CollaborationException

  Gets the primary email address display name.
  Returns:
    the primary email address display name
  Throws:
    `CollaborationException` - if there was an error getting the primary email address display name
  See Also:
    `setEmail1AddressDisplayName(String)`

### setEmail2Address

    public void setEmail2Address(java.lang.String sAddress)
                          throws CollaborationException

  Sets the secondary email address.
  Parameters:
    `sAddress` -
  Throws:
    `CollaborationException` - if the secondary email address could not be set

### getEmail2Address

    public java.lang.String getEmail2Address()
                                      throws CollaborationException

  Gets the secondary email address.
  Returns:
    the secondary email address
  Throws:
    `CollaborationException` - if there was an error getting the secondary email address
  See Also:
    `setEmail2Address(String)`

### setEmail2AddressType

    public void setEmail2AddressType(java.lang.String sType)
                              throws CollaborationException

  Sets the secondary email address type.
  Parameters:
    `sType` -
  Throws:
    `CollaborationException` - if the secondary email address type could not be set

### getEmail2AddressType

    public java.lang.String getEmail2AddressType()
                                          throws CollaborationException

  Gets the secondary email address type.
  Returns:
    the secondary email address type
  Throws:
    `CollaborationException` - if there was an error getting the secondary email address type
  See Also:
    `setEmail2AddressType(String)`

### setEmail2AddressDisplayName

    public void setEmail2AddressDisplayName(java.lang.String sDisplayName)
                                     throws CollaborationException

  Sets the secondary email address display name.
  Parameters:
    `sDisplayName` -
  Throws:
    `CollaborationException` - if the secondary email address display name could not be set

### getEmail2AddressDisplayName

    public java.lang.String getEmail2AddressDisplayName()
                                                 throws CollaborationException

  Gets the secondary email address display name.
  Returns:
    the secondary email address display name
  Throws:
    `CollaborationException` - if there was an error getting the secondary email address display name
  See Also:
    `setEmail2AddressDisplayName(String)`

### setEmail3Address

    public void setEmail3Address(java.lang.String sAddress)
                          throws CollaborationException

  Sets the tertiary email address.
  Parameters:
    `sAddress` -
  Throws:
    `CollaborationException` - if the tertiary email address could not be set

### getEmail3Address

    public java.lang.String getEmail3Address()
                                      throws CollaborationException

  Gets the tertiary email address.
  Returns:
    the tertiary email address
  Throws:
    `CollaborationException` - if there was an error getting the tertiary email address
  See Also:
    `setEmail3Address(String)`

### setEmail3AddressType

    public void setEmail3AddressType(java.lang.String sType)
                              throws CollaborationException

  Sets the tertiary email address type.
  Parameters:
    `sType` -
  Throws:
    `CollaborationException` - if the tertiary email address type could not be set

### getEmail3AddressType

    public java.lang.String getEmail3AddressType()
                                          throws CollaborationException

  Gets the tertiary email address type.
  Returns:
    the tertiary email address type
  Throws:
    `CollaborationException` - if there was an error getting the tertiary email address type
  See Also:
    `setEmail3AddressType(String)`

### setEmail3AddressDisplayName

    public void setEmail3AddressDisplayName(java.lang.String sDisplayName)
                                     throws CollaborationException

  Sets the tertiary email address display name.
  Parameters:
    `sDisplayName` -
  Throws:
    `CollaborationException` - if the tertiary email address display name could not be set

### getEmail3AddressDisplayName

    public java.lang.String getEmail3AddressDisplayName()
                                                 throws CollaborationException

  Gets the tertiary email address display name.
  Returns:
    the tertiary email address display name
  Throws:
    `CollaborationException` - if there was an error getting the tertiary email address display name
  See Also:
    `setEmail3AddressDisplayName(String)`

### setFileAs

    public void setFileAs(java.lang.String sFileAs)
                   throws CollaborationException

  Sets the 'file as'.
  Parameters:
    `sFileAs` -
  Throws:
    `CollaborationException` - if the 'file as' could not be set

### getFileAs

    public java.lang.String getFileAs()
                               throws CollaborationException

  Gets the 'file as'.
  Returns:
    the 'file as'
  Throws:
    `CollaborationException` - if there was an error getting the 'file as'
  See Also:
    `setFileAs(String)`

### setFtpSite

    public void setFtpSite(java.lang.String sFtpSite)
                    throws CollaborationException

  Sets the ftp site.
  Parameters:
    `sFtpSite` -
  Throws:
    `CollaborationException` - if the ftp site could not be set

### getFtpSite

    public java.lang.String getFtpSite()
                                throws CollaborationException

  Gets the ftp site.
  Returns:
    the ftp site
  Throws:
    `CollaborationException` - if there was an error getting the ftp site
  See Also:
    `setFtpSite(String)`

### setGender

    public void setGender(Gender gender)
                   throws CollaborationException

  Sets the gender.
  Parameters:
    `gender` -
  Throws:
    `CollaborationException` - if the gender could not be set

### getGender

    public Gender getGender()
                     throws CollaborationException

  Gets the gender.
  Returns:
    the gender
  Throws:
    `CollaborationException` - if there was an error getting the gender
  See Also:
    `setGender(Gender)`

### setHobbies

    public void setHobbies(java.lang.String sHobbies)
                    throws CollaborationException

  Sets the hobbies.
  Parameters:
    `sHobbies` -
  Throws:
    `CollaborationException` - if the hobbies could not be set

### getHobbies

    public java.lang.String getHobbies()
                                throws CollaborationException

  Gets the hobbies.
  Returns:
    the hobbies
  Throws:
    `CollaborationException` - if there was an error getting the hobbies
  See Also:
    `setHobbies(String)`

### setHome2TelephoneNumber

    public void setHome2TelephoneNumber(PhoneNumber number)
                                 throws CollaborationException

  Sets the secondary home phone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the secondary home phone number could not be set

### getHome2TelephoneNumber

    public PhoneNumber getHome2TelephoneNumber()
                                        throws CollaborationException

  Gets the secondary home phone number.
  Returns:
    the secondary home phone number
  Throws:
    `CollaborationException` - if there was an error getting the secondary home phone number
  See Also:
    `setHome2TelephoneNumber(PhoneNumber)`

### setImAddress

    public void setImAddress(java.lang.String sImAddress)
                      throws CollaborationException

  Sets the instant messenger address.
  Parameters:
    `sImAddress` -
  Throws:
    `CollaborationException` - if the instant messenger address could not be set

### getImAddress

    public java.lang.String getImAddress()
                                  throws CollaborationException

  Gets the instant messenger address.
  Returns:
    the instant messenger address
  Throws:
    `CollaborationException` - if there was an error getting the instant messenger address
  See Also:
    `setImAddress(String)`

### setIntitials

    public void setIntitials(java.lang.String sInitials)
                      throws CollaborationException

  Sets the initials.
  Parameters:
    `sInitials` -
  Throws:
    `CollaborationException` - if the initials could not be set

### getIntitials

    public java.lang.String getIntitials()
                                  throws CollaborationException

  Gets the initials.
  Returns:
    the initials
  Throws:
    `CollaborationException` - if there was an error getting the initials
  See Also:
    `setIntitials(String)`

### setFreeBusyAddress

    public void setFreeBusyAddress(java.lang.String sFreeBusyAddress)
                            throws CollaborationException

  Sets the internet free/busy address.
  Parameters:
    `sFreeBusyAddress` -
  Throws:
    `CollaborationException` - if the internet free/busy address could not be set

### getFreeBusyAddress

    public java.lang.String getFreeBusyAddress()
                                        throws CollaborationException

  Gets the internet free/busy address.
  Returns:
    the internet free/busy address
  Throws:
    `CollaborationException` - if there was an error getting the internet free/busy address
  See Also:
    `setFreeBusyAddress(String)`

### setISDNNumber

    public void setISDNNumber(java.lang.String sISDNNumber)
                       throws CollaborationException

  Sets the ISDN number.
  Parameters:
    `sISDNNumber` -
  Throws:
    `CollaborationException` - if the ISDN number could not be set

### getISDNNumber

    public java.lang.String getISDNNumber()
                                   throws CollaborationException

  Gets the ISDN number.
  Returns:
    the ISDN number
  Throws:
    `CollaborationException` - if there was an error getting the ISDN number
  See Also:
    `setISDNNumber(String)`

### setLanguage

    public void setLanguage(java.lang.String sLanguage)
                     throws CollaborationException

  Sets the language.
  Parameters:
    `sLanguage` -
  Throws:
    `CollaborationException` - if the language could not be set

### getLanguage

    public java.lang.String getLanguage()
                                 throws CollaborationException

  Gets the language.
  Returns:
    the language
  Throws:
    `CollaborationException` - if there was an error getting the language
  See Also:
    `setLanguage(String)`

### setLocation

    public void setLocation(java.lang.String sLocation)
                     throws CollaborationException

  Sets the location.
  Parameters:
    `sLocation` -
  Throws:
    `CollaborationException` - if the location could not be set

### getLocation

    public java.lang.String getLocation()
                                 throws CollaborationException

  Gets the location.
  Returns:
    the location
  Throws:
    `CollaborationException` - if there was an error getting the location
  See Also:
    `setLocation(String)`

### setNickname

    public void setNickname(java.lang.String sNickname)
                     throws CollaborationException

  Sets the nickname.
  Parameters:
    `sNickname` -
  Throws:
    `CollaborationException` - if the nickname could not be set

### getNickname

    public java.lang.String getNickname()
                                 throws CollaborationException

  Gets the nickname.
  Returns:
    the nickname
  Throws:
    `CollaborationException` - if there was an error getting the nickname
  See Also:
    `setNickname(String)`

### setOtherAddress

    public void setOtherAddress(PostalAddress address)
                         throws CollaborationException

  Sets the other address.
  Parameters:
    `address` -
  Throws:
    `CollaborationException` - if the other address could not be set

### getOtherAddress

    public PostalAddress getOtherAddress()
                                  throws CollaborationException

  Gets the other address. This method does not use the key `OTHER_ADDRESS`, and instead builds the returned object from the following keys: `OTHER_ADDRESS_STREET`, `OTHER_ADDRESS_CITY`, `OTHER_ADDRESS_STATE`, `OTHER_ADDRESS_POSTAL_CODE`, `OTHER_ADDRESS_COUNTRY`.
  Returns:
    the other address
  Throws:
    `CollaborationException` - if there was an error getting the other address
  See Also:
    `setOtherAddress(PostalAddress)`

### getOtherAddressString

    public java.lang.String getOtherAddressString()
                                           throws CollaborationException

  Gets the other address. This method uses the key `OTHER_ADDRESS` to bring back this calculated value from the Exchange store.
  Returns:
    the other address
  Throws:
    `CollaborationException` - if there was an error getting the other address
  See Also:
    `OTHER_ADDRESS`

### getPersonalAddressString

    public java.lang.String getPersonalAddressString()
                                              throws CollaborationException

  Gets the personal address. This method uses the key `PERSONAL_ADDRESS` to bring back this calculated value from the Exchange store.
  Returns:
    the personal address
  Throws:
    `CollaborationException` - if there was an error getting the other address
  See Also:
    `PERSONAL_ADDRESS`

### setOtherTelephoneNumber

    public void setOtherTelephoneNumber(PhoneNumber number)
                                 throws CollaborationException

  Sets the other telephone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the other telephone number could not be set

### getOtherTelephoneNumber

    public PhoneNumber getOtherTelephoneNumber()
                                        throws CollaborationException

  Gets the other telephone number.
  Returns:
    the other telephone number
  Throws:
    `CollaborationException` - if there was an error getting the other telephone number
  See Also:
    `setOtherTelephoneNumber(PhoneNumber)`

### setPersonalHomePage

    public void setPersonalHomePage(java.lang.String sHomePage)
                             throws CollaborationException

  Sets the personal home page.
  Parameters:
    `sHomePage` -
  Throws:
    `CollaborationException` - if the personal home page could not be set

### getPersonalHomePage

    public java.lang.String getPersonalHomePage()
                                         throws CollaborationException

  Gets the personal home page.
  Returns:
    the personal home page
  Throws:
    `CollaborationException` - if there was an error getting the personal home page
  See Also:
    `setPersonalHomePage(String)`

### getPostalCode

    public java.lang.String getPostalCode()
                                   throws CollaborationException

  Gets the postal code portion of the defined "mailing address" for a contact.
  Returns:
    the postal code
  Throws:
    `CollaborationException` - if there was an error getting the postal code
  See Also:
    `POSTAL_CODE`

### setPrimaryFaxNumber

    public void setPrimaryFaxNumber(PhoneNumber number)
                             throws CollaborationException

  Sets the primary fax number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the primary fax number could not be set

### getPrimaryFaxNumber

    public PhoneNumber getPrimaryFaxNumber()
                                    throws CollaborationException

  Gets the primary fax number.
  Returns:
    the primary fax number
  Throws:
    `CollaborationException` - if there was an error getting the primary fax number
  See Also:
    `setPrimaryFaxNumber(PhoneNumber)`

### setPrimaryTelephoneNumber

    public void setPrimaryTelephoneNumber(PhoneNumber number)
                                   throws CollaborationException

  Sets the primary telephone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the primary telephone number could not be set

### getPrimaryTelephoneNumber

    public PhoneNumber getPrimaryTelephoneNumber()
                                          throws CollaborationException

  Gets the primary telephone number.
  Returns:
    the primary telephone number
  Throws:
    `CollaborationException` - if there was an error getting the primary telephone number
  See Also:
    `setPrimaryTelephoneNumber(PhoneNumber)`

### setProfession

    public void setProfession(java.lang.String sProfession)
                       throws CollaborationException

  Sets the profession.
  Parameters:
    `sProfession` -
  Throws:
    `CollaborationException` - if the profession could not be set

### getProfession

    public java.lang.String getProfession()
                                   throws CollaborationException

  Gets the profession.
  Returns:
    the profession
  Throws:
    `CollaborationException` - if there was an error getting the profession
  See Also:
    `setProfession(String)`

### setRadioPhoneNumber

    public void setRadioPhoneNumber(PhoneNumber number)
                             throws CollaborationException

  Sets the radio phone number.
  Parameters:
    `number` -
  Throws:
    `CollaborationException` - if the radio phone number could not be set

### getRadioPhoneNumber

    public PhoneNumber getRadioPhoneNumber()
                                    throws CollaborationException

  Gets the radio phone number.
  Returns:
    the radio phone number
  Throws:
    `CollaborationException` - if there was an error getting the radio phone number
  See Also:
    `setRadioPhoneNumber(PhoneNumber)`

### setReferredByName

    public void setReferredByName(java.lang.String sReferredByName)
                           throws CollaborationException

  Sets the referred by name.
  Parameters:
    `sReferredByName` -
  Throws:
    `CollaborationException` - if the referred by name could not be set

### getReferredByName

    public java.lang.String getReferredByName()
                                       throws CollaborationException

  Gets the referred by name.
  Returns:
    the referred by name
  Throws:
    `CollaborationException` - if there was an error getting the referred by name
  See Also:
    `setReferredByName(String)`

### setSelectedMailingAddress

    public void setSelectedMailingAddress(SelectedMailingAddress selected)
                                   throws CollaborationException

  Sets the selected mailing address.
  Parameters:
    `selected` -
  Throws:
    `CollaborationException` - if the selected mailing address could not be set

### getSelectedMailingAddress

    public SelectedMailingAddress getSelectedMailingAddress()
                                                     throws CollaborationException

  Gets the selected mailing address.
  Returns:
    the selected mailing address
  Throws:
    `CollaborationException` - if there was an error getting the selected mailing address
  See Also:
    `setSelectedMailingAddress(SelectedMailingAddress)`

### getStateOrProvince

    public java.lang.String getStateOrProvince()
                                        throws CollaborationException

  Gets the state or province portion of the defined "mailing address" for a contact.
  Returns:
    the state or province
  Throws:
    `CollaborationException` - if there was an error getting the state or province
  See Also:
    `STATE_OR_PROVINCE`

### getStreetAddress

    public java.lang.String getStreetAddress()
                                      throws CollaborationException

  Gets the street address portion of the defined "mailing address" for a contact.
  Returns:
    the street address
  Throws:
    `CollaborationException` - if there was an error getting the street address
  See Also:
    `STREET_ADDRESS`

### setTelexNumber

    public void setTelexNumber(PhoneNumber telexNumber)
                        throws CollaborationException

  Sets the telex number.
  Parameters:
    `telexNumber` -
  Throws:
    `CollaborationException` - if the telex number could not be set

### getTelexNumber

    public PhoneNumber getTelexNumber()
                               throws CollaborationException

  Gets the telex number.
  Returns:
    the telex number
  Throws:
    `CollaborationException` - if there was an error getting the telex number
  See Also:
    `setTelexNumber(PhoneNumber)`

### setTTYTDDPhoneNumber

    public void setTTYTDDPhoneNumber(java.lang.String sNumber)
                              throws CollaborationException

  Sets the TTYTDD phone number.
  Parameters:
    `sNumber` -
  Throws:
    `CollaborationException` - if the TTYTDD phone number could not be set

### getTTYTDDPhoneNumber

    public java.lang.String getTTYTDDPhoneNumber()
                                          throws CollaborationException

  Gets the TTYTDD phone number.
  Returns:
    the TTYTDD phone number
  Throws:
    `CollaborationException` - if there was an error getting the TTYTDD phone number
  See Also:
    `setTTYTDDPhoneNumber(String)`

### setUserField1

    public void setUserField1(java.lang.String sValue)
                       throws CollaborationException

  Sets the user field 1.
  Parameters:
    `sValue` -
  Throws:
    `CollaborationException` - if the user field 1 could not be set

### getUserField1

    public java.lang.String getUserField1()
                                   throws CollaborationException

  Gets the user field 1.
  Returns:
    the user field 1
  Throws:
    `CollaborationException` - if there was an error getting the user field 1
  See Also:
    `setUserField1(String)`

### setUserField2

    public void setUserField2(java.lang.String sValue)
                       throws CollaborationException

  Sets the user field 2.
  Parameters:
    `sValue` -
  Throws:
    `CollaborationException` - if the user field 2 could not be set

### getUserField2

    public java.lang.String getUserField2()
                                   throws CollaborationException

  Gets the user field 2.
  Returns:
    the user field 2
  Throws:
    `CollaborationException` - if there was an error getting the user field 2
  See Also:
    `setUserField2(String)`

### setUserField3

    public void setUserField3(java.lang.String sValue)
                       throws CollaborationException

  Sets the user field 3.
  Parameters:
    `sValue` -
  Throws:
    `CollaborationException` - if the user field 3 could not be set

### getUserField3

    public java.lang.String getUserField3()
                                   throws CollaborationException

  Gets the user field 3.
  Returns:
    the user field 3
  Throws:
    `CollaborationException` - if there was an error getting the user field 3
  See Also:
    `setUserField3(String)`

### setUserField4

    public void setUserField4(java.lang.String sValue)
                       throws CollaborationException

  Sets the user field 4.
  Parameters:
    `sValue` -
  Throws:
    `CollaborationException` - if the user field 4 could not be set

### getUserField4

    public java.lang.String getUserField4()
                                   throws CollaborationException

  Gets the user field 4.
  Returns:
    the user field 4
  Throws:
    `CollaborationException` - if there was an error getting the user field 4
  See Also:
    `setUserField4(String)`

### setWeddingAnniversary

    public void setWeddingAnniversary(java.util.Date anniversary)
                               throws CollaborationException

  Sets the wedding anniversary date.
  Parameters:
    `anniversary` -
  Throws:
    `CollaborationException` - if the wedding anniversary date could not be set

### getWeddingAnniversary

    public java.util.Date getWeddingAnniversary()
                                         throws CollaborationException

  Gets the wedding anniversary date.
  Returns:
    the wedding anniversary date
  Throws:
    `CollaborationException` - if there was an error getting the wedding anniversary date
  See Also:
    `setWeddingAnniversary(Date)`

### getCity

    public java.lang.String getCity()
                             throws CollaborationException

  Gets the city portion of the defined "mailing address" for a contact.
  Returns:
    the city.
  Throws:
    `CollaborationException` - if there was an error getting the city.
  See Also:
    `CITY`

### getCountry

    public java.lang.String getCountry()
                                throws CollaborationException

  Gets the country portion of the defined "mailing address" for a contact.
  Returns:
    the country.
  Throws:
    `CollaborationException` - if there was an error getting the city.
  See Also:
    `COUNTRY`

### setCarTelephoneNumber

    public void setCarTelephoneNumber(PhoneNumber number)
                               throws CollaborationException

  Sets the car telephone number.
  Parameters:
    `number` - the phone number
  Throws:
    `CollaborationException` - if there was an error setting the car phone number

### getCarTelephoneNumber

    public PhoneNumber getCarTelephoneNumber()
                                      throws CollaborationException

  Gets the car telephone number.
  Returns:
    the car telephone number.
  Throws:
    `CollaborationException` - if there was an error setting the car phone number

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.